Multi Lookup
Fetch the latest FastData row for up to 100 keys in a single request.
Live Response
Responses from the selected endpoint appear here after you run a request.
Live response output will appear here after you run a request.
Request reference
application/jsonThis operation performs POST /v0/multi with an application/json request body.
Required request inputs: yes
POST /v0/multi
{
"include_metadata": true,
"keys": [
"social.near/james.near/graph/follow/sleet.near",
"social.near/james.near/graph/follow/missing"
]
}Request body schema
objectMultiRequest
requires keysinclude_metadatabooleanInclude receipt and signer metadata in each entry.
keys *arrayFully qualified keys in current_account_id/predecessor_id/key form.
itemsstringResponse reference
200 application/jsonLatest rows for the requested keys
Response schema
objectMultiResponse
requires entriesentries *arrayitemsone ofobject
object
requires predecessor_id, current_account_id, block_height, block_timestamp, key, valueaction_indexintegerblock_height *integerblock_timestamp *integercurrent_account_id *stringkey *stringpredecessor_id *stringreceipt_idstringsigner_idstringtx_hashstringvalue *valueRaw JSON value as stored in FastData.
null
value
null